#!/bin/sh
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
## List of conf files to check.  The conf files in your package should end in .new
config etc/bonobo-activation/bonobo-activation-config.xml.new


( cd usr/lib ; rm -rf libbonobo-activation.so )
( cd usr/lib ; ln -sf libbonobo-activation.so.4.0.0 libbonobo-activation.so )
( cd usr/lib ; rm -rf libbonobo-2.so )
( cd usr/lib ; ln -sf libbonobo-2.so.0.0.0 libbonobo-2.so )
( cd usr/lib ; rm -rf libbonobo-activation.so.4 )
( cd usr/lib ; ln -sf libbonobo-activation.so.4.0.0 libbonobo-activation.so.4 )
( cd usr/lib ; rm -rf libbonobo-2.so.0 )
( cd usr/lib ; ln -sf libbonobo-2.so.0.0.0 libbonobo-2.so.0 )
